• Post Reply Bookmark Topic Watch Topic
  • New Topic

How to deploy applications created with Eclipse Indigo 3.7 in Jboss 5.0  RSS feed

 
Nid Arora
Greenhorn
Posts: 1
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am using Eclipse Indigo 3.7 to deploy the applications on Jboss 5.0.

The default JRE for Eclipse is Java 7 .
Jboss 5.0 is not compatible with Java 7
https://issues.jboss.org/browse/JBPAPP-7046?_sscc=t

When I try to run Jboss I get following exception



The same problem is replicated in http://itpete.blogspot.com/

I tried running Eclipse and Jboss with Java 5 and got bad .class file exception.

Is there any way to run Jboss 5 with Eclipse Indigo 3.7?
 
Prabhakar Reddy Bokka
Ranch Hand
Posts: 198
Java Oracle Spring
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Change your project build path to use JRE version that is compatible with Jboss 5.
That resolves the inconsistency of the versions.
 
Consider Paul's rocket mass heater.
  • Post Reply Bookmark Topic Watch Topic
  • New Topic
Boost this thread!